GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::FileReadTask Class Reference
Inheritance diagram for GpgFrontend::UI::FileReadTask:
Collaboration diagram for GpgFrontend::UI::FileReadTask:

## Signals
void | SignalFileBytesRead (QByteArray bytes)
void | SignalFileBytesReadEnd ()
void | SignalFileBytesReadNext ()
Signals inherited from GpgFrontend::Thread::Task
void | SignalTaskRunnableEnd (int rtn)
| announce runnable finished
void | SignalTaskEnd ()
| runnable and callabck all finished

## Public Member Functions
| FileReadTask (std::string path)
void | Run () override
| Run - run the task.
Public Member Functions inherited from GpgFrontend::Thread::Task
| Task (std::string name=DEFAULT_TASK_NAME)
| Construct a new Task object.
| Task (TaskRunnable runnable, std::string name=DEFAULT_TASK_NAME, DataObjectPtr data_object=nullptr, bool sequency=true)
| Construct a new Task object. More...
| Task (TaskRunnable runnable, std::string name, DataObjectPtr data, TaskCallback callback=[](int, const std::shared_ptr< DataObject > &) {}, bool sequency=true)
| Construct a new Task object. More...
virtual | ~Task () override
| Destroy the Task object.
std::string | GetUUID () const
std::string | GetFullID () const
bool | GetSequency () const

## Private Slots
void | read_bytes ()

## Private Attributes
std::filesystem::path | read_file_path_
QFile | target_file_
const size_t | buffer_size_ = 4096
QEventLoop | looper

## Additional Inherited Members
Public Types inherited from GpgFrontend::Thread::Task
using | DataObjectPtr = std::shared_ptr< DataObject >
using | TaskRunnable = std::function< int(DataObjectPtr)>
using | TaskCallback = std::function< void(int, DataObjectPtr)>
Public Slots inherited from GpgFrontend::Thread::Task
void | SlotRun ()
Static Public Attributes inherited from GpgFrontend::Thread::Task
static const std::string | DEFAULT_TASK_NAME = "default-task"
Protected Member Functions inherited from GpgFrontend::Thread::Task
void | SetFinishAfterRun (bool finish_after_run)
| Set the Finish After Run object. More...
void | SetRTN (int rtn)

The documentation for this class was generated from the following files:

- src/core/thread/FileReadTask.h
- src/core/thread/FileReadTask.cpp